# DamagingTrapTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class DamagingTrapTag`Abstract`

#### Hierarchy (View Summary)

- TrappedTag
  - DamagingTrapTag
    - BindTag
    - WrapTag
    - VortexTrapTag
    - ClampTag
    - SandTombTag
    - MagmaStormTag
    - SnapTrapTag
    - ThunderCageTag
    - InfestationTag

- Defined in src/data/battler-tags.ts:1405

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getSourcePokemon
getTrapMessage
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new DamagingTrapTag(
  tagType: BattlerTagType ,
  commonAnim: CommonAnim ,
  turnCount: number,
  sourceMove: Moves ,
  sourceId: number,
  ): DamagingTrapTag

  #### Parameters

  - tagType: BattlerTagType
  - commonAnim: CommonAnim
  - turnCount: number
  - sourceMove: Moves
  - sourceId: number

  #### Returns DamagingTrapTag

  Overrides TrappedTag.constructor

  - Defined in src/data/battler-tags.ts:1408

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from TrappedTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from TrappedTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from TrappedTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from TrappedTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from TrappedTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from TrappedTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides TrappedTag.canAdd

  - Defined in src/data/battler-tags.ts:1423

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Inherited from TrappedTag.getDescriptor

  - Defined in src/data/battler-tags.ts:602

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from TrappedTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from TrappedTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### getTrapMessage

- getTrapMessage(pokemon: default ): string

  #### Parameters

  - pokemon: default

  #### Returns string

  Inherited from TrappedTag.getTrapMessage

  - Defined in src/data/battler-tags.ts:610

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from TrappedTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:606

### lapse

- lapse(pokemon: default , lapseType: BattlerTagLapseType ): boolean

  #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides TrappedTag.lapse

  - Defined in src/data/battler-tags.ts:1427

### loadTag

- loadTag(source: any): void

  When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Overrides TrappedTag.loadTag

  - Defined in src/data/battler-tags.ts:1418

### onAdd

- onAdd(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onAdd

  - Defined in src/data/battler-tags.ts:585

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from TrappedTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onRemove

  - Defined in src/data/battler-tags.ts:591